Subject: Re: bug#36771: 27.0.50; mailcap documentation and effect missmatch

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 03 Oct 2019 17:02:58 +0200

Stefan Kangas <[email-masked]> writes:

> Agreed.  Here I would have expected to get the more specific entry, but
> I get the least specific entry.  On my system "view" in /etc/mailcap is:
>
> text/*; view %s; edit=vim %s; compose=vim %s; test=test -x
> /usr/bin/vim; needsterminal
> text/*; view %s; edit=vi %s; compose=vi %s; needsterminal

You used to get the most specific entry no matter where it was, but I
think the change was supposed to allow ~/.mailcap to override even
more-specific entries in /etc/mailcap.

So text/* in ~/.mailcap will win over text/plain in /etc/mailcap.

But I haven't looked closely at this bug report...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no